GET

yeargroupsubjectstudentteachers API

Retrieve and manage yeargroupsubjectstudentteachers records from the Apps4Edu sync database.

Endpoint Path

GET /api/yeargroupsubjectstudentteachers

CURL Example

curl "https://api.apps4education.co.uk/api/yeargroupsubjectstudentteachers?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
rowHash char
yearGroupID int
yearGroupDescription text
subjectID int
subjectDescription text
classID int
className varchar
personID int
teacherID int
teacherRole varchar
mainTeacherName varchar
startDate datetime
endDate datetime
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "rowHash": "example_value",
      "yearGroupID": 101,
      "yearGroupDescription": "example_value",
      "subjectID": 101,
      "subjectDescription": "example_value",
      "classID": 101,
      "className": "example_value",
      "personID": 101,
      "teacherID": 101,
      "teacherRole": "example_value",
      "mainTeacherName": "example_value",
      "startDate": "example_value",
      "endDate": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.